JGraph X 1.3.0.0

## com.mxgraph.model
Class mxCellPath

    java.lang.Object
      com.mxgraph.model.mxCellPath

    public class mxCellPath

extends java.lang.Object

Implements a mechanism for temporary cell Ids.

Field Summary
`static java.lang.String` `PATH_SEPARATOR` Defines the separator between the path components.

Constructor Summary
`mxCellPath()`

Method Summary
`static int` `compare(java.lang.String cp1, java.lang.String cp2)` Compares the given cell paths and returns -1 if cp1 is smaller, 0 if cp1 is equal and 1 if cp1 is greater than cp2.
`static java.lang.String` `create(mxICell cell)` Creates the cell path for the given cell.
`static java.lang.String` `getParentPath(java.lang.String path)` Returns the path for the parent of the cell represented by the given path.
`static mxICell` `resolve(mxICell root, java.lang.String path)` Returns the cell for the specified cell path using the given root as the root of the path.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PATH_SEPARATOR

    public static java.lang.String PATH_SEPARATOR

  Defines the separator between the path components. Default is `.`.

Constructor Detail

### mxCellPath

    public mxCellPath()

Method Detail

### create

    public static java.lang.String create(mxICell cell)

  Creates the cell path for the given cell. The cell path is a concatenation of the indices of all cells on the (finite) path to the root, eg. "0.0.0.1".

  Parameters:
    `cell` - Cell whose path should be returned.
  Returns:
    Returns the string that represents the path.

### getParentPath

    public static java.lang.String getParentPath(java.lang.String path)

  Returns the path for the parent of the cell represented by the given path. Returns null if the given path has no parent.

  Parameters:
    `path` - Path whose parent path should be returned.

### resolve

    public static mxICell resolve(mxICell root,
                                  java.lang.String path)

  Returns the cell for the specified cell path using the given root as the root of the path.

  Parameters:
    `root` - Root cell of the path to be resolved.
    `path` - String that defines the path.
  Returns:
    Returns the cell that is defined by the path.

### compare

    public static int compare(java.lang.String cp1,
                              java.lang.String cp2)

  Compares the given cell paths and returns -1 if cp1 is smaller, 0 if cp1 is equal and 1 if cp1 is greater than cp2.

JGraph X 1.3.0.0

Copyright (c) 2008 Gaudenz Alder. All rights reserved.